<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>TIML: Globals</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TIML
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li class="current"><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="globals.html"><span>All</span></a></li>
      <li class="current"><a href="globals_func.html"><span>Functions</span></a></li>
      <li><a href="globals_enum.html"><span>Enumerations</span></a></li>
      <li><a href="globals_eval.html"><span>Enumerator</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="globals_func.html#index_a"><span>a</span></a></li>
      <li><a href="globals_func_b.html#index_b"><span>b</span></a></li>
      <li><a href="globals_func_m.html#index_m"><span>m</span></a></li>
      <li class="current"><a href="globals_func_t.html#index_t"><span>t</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a class="anchor" id="index_t"></a>- t -</h3><ul>
<li>testCNNSimpleClone()
: <a class="el" href="group__testCNN.html#gace350f99cda0e82ff6908b8600acc0fa">testCNN.h</a>
</li>
<li>testCNNSimpleIO()
: <a class="el" href="group__testCNN.html#ga5ba87fc818c8afc070449d2b4ee198d1">testCNN.h</a>
</li>
<li>testCNNSimpleProfile()
: <a class="el" href="group__test.html#ga4c60d6732efd76f480c1e8299d4e0423">testCNNSimpleProfile.c</a>
, <a class="el" href="group__testCNN.html#ga4c60d6732efd76f480c1e8299d4e0423">testCNN.h</a>
</li>
<li>testCNNSimpleResize()
: <a class="el" href="group__testCNN.html#ga9331ace836a032e6f7d86bc27e3a3502">testCNN.h</a>
</li>
<li>testCNNSimpleShare()
: <a class="el" href="group__testCNN.html#ga2f4633efc3d5831da4bf841833e665f7">testCNNSimpleShare.c</a>
</li>
<li>testCNNSimpleTraining()
: <a class="el" href="group__testCNN.html#gaae822c926bf3623fccbb8196504df2a1">testCNN.h</a>
</li>
<li>testUtilBLAS()
: <a class="el" href="group__testUtil.html#ga3f5b39bac5684da3fb5bcc7d805926c0">testUtil.h</a>
</li>
<li>testUtilConv2()
: <a class="el" href="group__testUtil.html#ga26317133874a9e0ac21e66469dbecc03">testUtil.h</a>
</li>
<li>testUtilSort()
: <a class="el" href="group__testUtil.html#gab987fd94d97c6fbd4d93d912f82dd00c">testUtil.h</a>
</li>
<li>timlCNNAddConvLayer()
: <a class="el" href="group__cnn.html#ga772bc4b21c2f800ee8ac5248a732f116">timl.h</a>
, <a class="el" href="group__cnn.html#ga772bc4b21c2f800ee8ac5248a732f116">timlCNNAddConvLayer.c</a>
</li>
<li>timlCNNAddDropoutLayer()
: <a class="el" href="group__cnn.html#gae988ef172bde701db59b1cfc33dd50ab">timl.h</a>
, <a class="el" href="group__cnn.html#gae988ef172bde701db59b1cfc33dd50ab">timlCNNAddDropoutLayer.c</a>
</li>
<li>timlCNNAddInputLayer()
: <a class="el" href="group__cnn.html#ga253033ab06b21f2bf28301bc1e53c419">timlCNNAddInputLayer.c</a>
, <a class="el" href="group__cnn.html#ga253033ab06b21f2bf28301bc1e53c419">timl.h</a>
</li>
<li>timlCNNAddLinearLayer()
: <a class="el" href="group__cnn.html#ga0219ba397301c5fb3eedfb64e62e33bc">timl.h</a>
, <a class="el" href="group__cnn.html#ga0219ba397301c5fb3eedfb64e62e33bc">timlCNNAddLinearLayer.c</a>
</li>
<li>timlCNNAddNonlinearLayer()
: <a class="el" href="group__cnn.html#gaddfd98d23613318bdc368eac98fddf0b">timl.h</a>
, <a class="el" href="group__cnn.html#gaddfd98d23613318bdc368eac98fddf0b">timlCNNAddNonlinearLayer.c</a>
</li>
<li>timlCNNAddNormLayer()
: <a class="el" href="group__cnn.html#ga7627fe7a5294d7c8cac75d974b78a27a">timl.h</a>
, <a class="el" href="group__cnn.html#ga7627fe7a5294d7c8cac75d974b78a27a">timlCNNAddNormLayer.c</a>
</li>
<li>timlCNNAddPoolingLayer()
: <a class="el" href="group__cnn.html#gab5dcc5ac470e15bea85f0a5570eec37d">timl.h</a>
, <a class="el" href="group__cnn.html#gab5dcc5ac470e15bea85f0a5570eec37d">timlCNNAddPoolingLayer.c</a>
</li>
<li>timlCNNAssignDevice()
: <a class="el" href="group__cnn.html#ga65ab44787704761b68e1d733260eaabf">timlCNN.h</a>
</li>
<li>timlCNNBackPropagation()
: <a class="el" href="group__cnn.html#gadbaf2cae65f9fb891d4055b6bee850b3">timlCNN.h</a>
</li>
<li>timlCNNClassifyTop1SingleMode()
: <a class="el" href="group__cnn.html#gafda5077b0d39c278469278b37f845aed">timl.h</a>
, <a class="el" href="group__cnn.html#gafda5077b0d39c278469278b37f845aed">timlCNNClassifyTop1SingleMode.c</a>
</li>
<li>timlCNNClassifyTopNBatchMode()
: <a class="el" href="group__cnn.html#ga8b59ecbca36e54cfa1df0766ece686b5">timl.h</a>
, <a class="el" href="group__cnn.html#ga8b59ecbca36e54cfa1df0766ece686b5">timlCNNClassifyTopNBatchMode.c</a>
</li>
<li>timlCNNClassifyTopNBatchModeOpenMP()
: <a class="el" href="group__cnn.html#ga4bb1537483995068ac4d250e9e8a7615">timlCNN.h</a>
</li>
<li>timlCNNClassifyTopNTeamModeOpenMP()
: <a class="el" href="group__cnn.html#ga8d682caec3d8703f7622164b6a4612a6">timlCNN.h</a>
</li>
<li>timlCNNClone()
: <a class="el" href="group__cnn.html#ga409c28e6bb3633f1de65647b790aa320">timl.h</a>
, <a class="el" href="group__cnn.html#ga409c28e6bb3633f1de65647b790aa320">timlCNNClone.c</a>
</li>
<li>timlCNNConvBackPropagation()
: <a class="el" href="group__cnn.html#ga87b85708ba010d15ad446b10bb948f38">timlCNN.h</a>
</li>
<li>timlCNNConvForwardPropagation()
: <a class="el" href="group__cnn.html#ga067cdd0cbd03bc3a280e2d759d85a2e2">timlCNN.h</a>
</li>
<li>timlCNNConvInitialize()
: <a class="el" href="group__cnn.html#ga9421f0328417cfcbd3c872413a22bee4">timlCNN.h</a>
</li>
<li>timlCNNConvParamsDefault()
: <a class="el" href="group__cnn.html#ga33ddb7145ae4e19ea52e12576f4871aa">timl.h</a>
, <a class="el" href="group__cnn.html#ga33ddb7145ae4e19ea52e12576f4871aa">timlCNNConvParamsDefault.c</a>
</li>
<li>timlCNNConvReadFromBinaryFile()
: <a class="el" href="group__cnn.html#ga4099a6164a05e55652cebcff8d44034a">timlCNN.h</a>
</li>
<li>timlCNNConvReadFromTextFile()
: <a class="el" href="group__cnn.html#ga33bb2749df4ded66f44492ed7971d556">timlCNN.h</a>
</li>
<li>timlCNNConvShareParams()
: <a class="el" href="group__cnn.html#ga2db8ecc8b9fd11b5575915aab0635639">timlCNN.h</a>
</li>
<li>timlCNNConvUpdateParams()
: <a class="el" href="group__cnn.html#ga44339623d7eb830c865bd477e0865f2d">timlCNN.h</a>
</li>
<li>timlCNNConvWriteToFile()
: <a class="el" href="group__cnn.html#gae9314b0e5476ec7b5b5c76aa6a7b0a53">timlCNN.h</a>
</li>
<li>timlCNNCostWithLabel()
: <a class="el" href="group__cnn.html#ga3a460390fe11150e8543fd4278befa30">timlCNN.h</a>
</li>
<li>timlCNNCreateConvNeuralNetwork()
: <a class="el" href="group__cnn.html#gaf75b4687f4b493b8a85bc7fcc37bdf18">timl.h</a>
, <a class="el" href="group__cnn.html#gaf75b4687f4b493b8a85bc7fcc37bdf18">timlCNNCreateConvNeuralNetwork.c</a>
</li>
<li>timlCNNDelete()
: <a class="el" href="group__cnn.html#ga5af48b599237f48f016ce2060c6053e1">timl.h</a>
, <a class="el" href="group__cnn.html#ga5af48b599237f48f016ce2060c6053e1">timlCNNDelete.c</a>
</li>
<li>timlCNNDeleteConvLayer()
: <a class="el" href="group__cnn.html#ga42e19dc879644325d201d5f6e7a52d5d">timlCNN.h</a>
</li>
<li>timlCNNDeleteDropoutLayer()
: <a class="el" href="group__cnn.html#ga200dffa5338c0dfbaf279c3798e7e97c">timlCNN.h</a>
</li>
<li>timlCNNDeleteInputLayer()
: <a class="el" href="group__cnn.html#gaa56d800b6375f22e191445747a85756b">timlCNN.h</a>
</li>
<li>timlCNNDeleteLinearLayer()
: <a class="el" href="group__cnn.html#ga1b1477cff7bbdeb93aaffbf18f59f1cd">timlCNN.h</a>
</li>
<li>timlCNNDeleteNonlinearLayer()
: <a class="el" href="group__cnn.html#ga480032813fd323e262d6d97c80871fe3">timlCNN.h</a>
</li>
<li>timlCNNDeleteNormLayer()
: <a class="el" href="group__cnn.html#gadbce74b8b0cb84174e89e4d4f07bd095">timlCNN.h</a>
</li>
<li>timlCNNDeletePoolingLayer()
: <a class="el" href="group__cnn.html#gad4eb2d99ee7c96bb589999146c31cfff">timlCNN.h</a>
</li>
<li>timlCNNDropoutBackPropagation()
: <a class="el" href="group__cnn.html#ga4212a24620cb1bbadbd357e9e098df96">timlCNN.h</a>
</li>
<li>timlCNNDropoutForwardPropagation()
: <a class="el" href="group__cnn.html#ga6dc7fbc079a50aeefdb49b8fd69815de">timlCNN.h</a>
</li>
<li>timlCNNDropoutInitialize()
: <a class="el" href="group__cnn.html#ga34482801429f6f71ab950f0bd7ffc632">timlCNN.h</a>
</li>
<li>timlCNNDropoutReadFromTextFile()
: <a class="el" href="group__cnn.html#ga3f7013004aea59f09df35e4293b49834">timlCNN.h</a>
</li>
<li>timlCNNDropoutWriteToFile()
: <a class="el" href="group__cnn.html#ga79524aafb87c8f063b94af5d5a7ffc80">timlCNN.h</a>
</li>
<li>timlCNNForwardPropagation()
: <a class="el" href="group__cnn.html#gaa88dc52f16802468957c8e9c72abc090">timlCNN.h</a>
</li>
<li>timlCNNGetLayerNum()
: <a class="el" href="group__cnn.html#gaf65f8d45c892f70eeee34b47791bdcb5">timlCNNGetLayerNum.c</a>
, <a class="el" href="group__cnn.html#gaf65f8d45c892f70eeee34b47791bdcb5">timl.h</a>
</li>
<li>timlCNNGetParamsNum()
: <a class="el" href="group__cnn.html#ga72df82405eb43be8bb75373aaf8ec101">timl.h</a>
, <a class="el" href="group__cnn.html#ga72df82405eb43be8bb75373aaf8ec101">timlCNNGetParamsNum.c</a>
</li>
<li>timlCNNInitialize()
: <a class="el" href="group__cnn.html#ga666fa0a68b725aa1e35dba659ba7c5f9">timl.h</a>
, <a class="el" href="group__cnn.html#ga666fa0a68b725aa1e35dba659ba7c5f9">timlCNNInitialize.c</a>
</li>
<li>timlCNNInputForwardPropagation()
: <a class="el" href="group__cnn.html#gabeb3923cc2778e76f7a3007381e20430">timlCNN.h</a>
</li>
<li>timlCNNInputInitialize()
: <a class="el" href="group__cnn.html#ga364f01a881e95325e74696f87ea80bb3">timlCNN.h</a>
</li>
<li>timlCNNInputParamsDefault()
: <a class="el" href="group__cnn.html#ga71b91e772f1e63528e53a6284ba7b879">timl.h</a>
</li>
<li>timlCNNInputReadFromBinaryFile()
: <a class="el" href="group__cnn.html#gafc6cc460b2cd26f02f66c17dda3243f2">timlCNN.h</a>
</li>
<li>timlCNNInputReadFromTextFile()
: <a class="el" href="group__cnn.html#gabb6e33c3304d338b19194616a2029a42">timlCNN.h</a>
</li>
<li>timlCNNInputShareParams()
: <a class="el" href="group__cnn.html#ga505ab9c8b9e0044ff0c38452c4ac9fdb">timlCNN.h</a>
</li>
<li>timlCNNInputWriteToFile()
: <a class="el" href="group__cnn.html#gaf45983abe89e99b87d645b1fe2dc44c0">timlCNN.h</a>
</li>
<li>timlCNNLayerTypeStr()
: <a class="el" href="group__cnn.html#gac4d98ffda9bdf863563e0677279710c2">timlCNN.h</a>
</li>
<li>timlCNNLinearBackPropagation()
: <a class="el" href="group__cnn.html#ga070c37ad3fb8ea7186dc35d606575d59">timlCNN.h</a>
</li>
<li>timlCNNLinearForwardPropagation()
: <a class="el" href="group__cnn.html#gad366264a3e921fb6bd24e43e2f187ad9">timlCNN.h</a>
</li>
<li>timlCNNLinearInitialize()
: <a class="el" href="group__cnn.html#gac2e87d5f63f9172841fd1aa81bd33056">timlCNN.h</a>
</li>
<li>timlCNNLinearParamsDefault()
: <a class="el" href="group__cnn.html#gad5c8fd10f11ccaa8142a665fc8ee93b8">timl.h</a>
, <a class="el" href="group__cnn.html#gad5c8fd10f11ccaa8142a665fc8ee93b8">timlCNNLinearParamsDefault.c</a>
</li>
<li>timlCNNLinearReadFromBinaryFile()
: <a class="el" href="group__cnn.html#ga2a49b61cae4ce1344c41cc756dd9e802">timlCNN.h</a>
</li>
<li>timlCNNLinearReadFromTextFile()
: <a class="el" href="group__cnn.html#ga0098a1467ba70efda263dcec3db75b2a">timlCNN.h</a>
</li>
<li>timlCNNLinearShareParams()
: <a class="el" href="group__cnn.html#ga0bf4e74ce83086b2a11e53cc9ef608dc">timlCNN.h</a>
</li>
<li>timlCNNLinearUpdateParams()
: <a class="el" href="group__cnn.html#ga09ce4c81b71d2a41958565f7b2dd0827">timlCNN.h</a>
</li>
<li>timlCNNLinearWriteToFile()
: <a class="el" href="group__cnn.html#gae85f913784a3774a85754329bf89b6f0">timlCNN.h</a>
</li>
<li>timlCNNMaxPoolingBackPropagation()
: <a class="el" href="group__cnn.html#ga4d7e5c73f5d262b8b1297ac84b74452f">timlCNN.h</a>
</li>
<li>timlCNNMaxPoolingForwardPropagation()
: <a class="el" href="group__cnn.html#gac594a5259bbac18de41dfa3db702a5a6">timlCNN.h</a>
</li>
<li>timlCNNMeanPoolingBackPropagation()
: <a class="el" href="group__cnn.html#gaff7fd1cc8df10980b369ed822116d62d">timlCNN.h</a>
</li>
<li>timlCNNMeanPoolingForwardPropagation()
: <a class="el" href="group__cnn.html#ga63da450601424d0163ef93e945aebe47">timlCNN.h</a>
</li>
<li>timlCNNMemory()
: <a class="el" href="group__cnn.html#ga2e8a7e765f885a236e40dfaed59913c6">timl.h</a>
, <a class="el" href="group__cnn.html#ga2e8a7e765f885a236e40dfaed59913c6">timlCNNMemory.c</a>
</li>
<li>timlCNNMemPoolSize()
: <a class="el" href="group__cnn.html#ga8a4ba83fc3b8fc29fc31f3b37e8143a0">timlCNN.h</a>
</li>
<li>timlCNNNonlinearBackPropagation()
: <a class="el" href="group__cnn.html#gac7ac76fabbf31210f7179da92ae435c6">timlCNN.h</a>
</li>
<li>timlCNNNonlinearForwardPropagation()
: <a class="el" href="group__cnn.html#ga846509e51a95fd30af7893a8a3eae597">timlCNN.h</a>
</li>
<li>timlCNNNonlinearInitialize()
: <a class="el" href="group__cnn.html#ga168c7d5447be30dbf876b55a5d5c64fa">timlCNN.h</a>
</li>
<li>timlCNNNonlinearParamsDefault()
: <a class="el" href="group__cnn.html#ga24aaf5f0c47a32c8223073f22c88c184">timl.h</a>
, <a class="el" href="group__cnn.html#ga24aaf5f0c47a32c8223073f22c88c184">timlCNNNonlinearParamsDefault.c</a>
</li>
<li>timlCNNNonlinearReadFromTextFile()
: <a class="el" href="group__cnn.html#ga53bc772f3fbfba5e529c0f9162efafcc">timlCNN.h</a>
</li>
<li>timlCNNNonlinearWriteToFile()
: <a class="el" href="group__cnn.html#ga79413c2f550a5c73ff855aea1c1e8782">timlCNN.h</a>
</li>
<li>timlCNNNormBackPropagation()
: <a class="el" href="group__cnn.html#gaf6e6fabff921002175a648a096baf053">timlCNN.h</a>
</li>
<li>timlCNNNormForwardPropagation()
: <a class="el" href="group__cnn.html#ga469289dea763db5315affecaa14126c1">timlCNN.h</a>
</li>
<li>timlCNNNormInitialize()
: <a class="el" href="group__cnn.html#ga7b9ecc1fde2e10463adb310591b6d1a6">timlCNN.h</a>
</li>
<li>timlCNNNormParamsDefault()
: <a class="el" href="group__cnn.html#ga03ee34f7d893af02536bcbf2d071f721">timl.h</a>
, <a class="el" href="group__cnn.html#ga03ee34f7d893af02536bcbf2d071f721">timlCNNNormParamsDefault.c</a>
</li>
<li>timlCNNNormReadFromTextFile()
: <a class="el" href="group__cnn.html#gaaf83342d056dbe431e6bb19795b6b322">timlCNN.h</a>
</li>
<li>timlCNNNormWriteToFile()
: <a class="el" href="group__cnn.html#ga02524725a8cef3c8cde7e94fc340b842">timlCNN.h</a>
</li>
<li>timlCNNPoolingBackPropagation()
: <a class="el" href="group__cnn.html#gac41d0764628d4c688ddc92616030f91b">timlCNN.h</a>
</li>
<li>timlCNNPoolingForwardPropagation()
: <a class="el" href="group__cnn.html#ga16c5a2314091dd1098b36a8f195bd307">timlCNN.h</a>
</li>
<li>timlCNNPoolingInitialize()
: <a class="el" href="group__cnn.html#ga881ee558df99885ecad25cb94135d0c2">timlCNN.h</a>
</li>
<li>timlCNNPoolingParamsDefault()
: <a class="el" href="group__cnn.html#gacd163e268b3ccc9805bcca59689a36f5">timl.h</a>
, <a class="el" href="group__cnn.html#gacd163e268b3ccc9805bcca59689a36f5">timlCNNPoolingParamsDefault.c</a>
</li>
<li>timlCNNPoolingReadFromTextFile()
: <a class="el" href="group__cnn.html#ga7d7fbd288d53a4ea552cf66763b050a8">timlCNN.h</a>
</li>
<li>timlCNNPoolingWriteToFile()
: <a class="el" href="group__cnn.html#gaaf5f8b193b721e932cd6d77e183cae1e">timlCNN.h</a>
</li>
<li>timlCNNPrint()
: <a class="el" href="group__cnn.html#ga123557b8025497fe266d58d80ee9983b">timl.h</a>
, <a class="el" href="group__cnn.html#ga123557b8025497fe266d58d80ee9983b">timlCNNPrint.c</a>
</li>
<li>timlCNNProfile()
: <a class="el" href="group__cnn.html#ga13c723ecb589f7da7e01a9cd9591061d">timl.h</a>
, <a class="el" href="group__cnn.html#ga13c723ecb589f7da7e01a9cd9591061d">timlCNNProfile.c</a>
</li>
<li>timlCNNReadFromFile()
: <a class="el" href="group__cnn.html#gabab7c3c18a2fa4a3a9985da42662682c">timl.h</a>
, <a class="el" href="group__cnn.html#gabab7c3c18a2fa4a3a9985da42662682c">timlCNNReadFromFile.c</a>
</li>
<li>timlCNNReset()
: <a class="el" href="group__cnn.html#ga21bc0c855cb658f51fe5d6911acddb54">timl.h</a>
, <a class="el" href="group__cnn.html#ga21bc0c855cb658f51fe5d6911acddb54">timlCNNReset.c</a>
</li>
<li>timlCNNResetConvLayer()
: <a class="el" href="group__cnn.html#gaf1a19381c3d653bd4f53e65bdae708a7">timlCNN.h</a>
</li>
<li>timlCNNResetDropoutLayer()
: <a class="el" href="group__cnn.html#ga46d01515bc51529a9c6e96acce1552e4">timlCNNResetDropoutLayer.c</a>
</li>
<li>timlCNNResetInputLayer()
: <a class="el" href="group__cnn.html#ga6eda15d8d34f275901cf2517d2115122">timlCNN.h</a>
</li>
<li>timlCNNResetLinearLayer()
: <a class="el" href="group__cnn.html#ga0db6e46b341b13992dc3283580a04d69">timlCNN.h</a>
</li>
<li>timlCNNResetNonlinearLayer()
: <a class="el" href="group__cnn.html#ga42e5c74e47146191ac0433ea68716d43">timlCNN.h</a>
</li>
<li>timlCNNResetNormLayer()
: <a class="el" href="group__cnn.html#gadc089257aa2deeb115cb829c1b02eddc">timlCNN.h</a>
</li>
<li>timlCNNResetPoolingLayer()
: <a class="el" href="group__cnn.html#gabb293d19ee0e655c359d9a327dd58fba">timlCNN.h</a>
</li>
<li>timlCNNResize()
: <a class="el" href="group__cnn.html#ga78addba765ea7dd8bf958d19d42be931">timl.h</a>
, <a class="el" href="group__cnn.html#ga78addba765ea7dd8bf958d19d42be931">timlCNNResize.c</a>
</li>
<li>timlCNNSetMode()
: <a class="el" href="group__cnn.html#ga04d9a7e3725ce777402e1e5c4d5d4ce0">timl.h</a>
, <a class="el" href="group__cnn.html#ga04d9a7e3725ce777402e1e5c4d5d4ce0">timlCNNSetMode.c</a>
</li>
<li>timlCNNShareParams()
: <a class="el" href="group__cnn.html#ga52826c14f9f1913947f5ca6937b5afd5">timl.h</a>
, <a class="el" href="group__cnn.html#ga52826c14f9f1913947f5ca6937b5afd5">timlCNNShareParams.c</a>
</li>
<li>timlCNNSupervisedTrainingWithLabelBatchMode()
: <a class="el" href="group__cnn.html#ga9198f6379fad0e9e45dd8f64cc030ec3">timl.h</a>
, <a class="el" href="group__cnn.html#ga9198f6379fad0e9e45dd8f64cc030ec3">timlCNNSupervisedTrainingWithLabelBatchMode.c</a>
</li>
<li>timlCNNSupervisedTrainingWithLabelBatchModeOpenMP()
: <a class="el" href="group__cnn.html#ga4fd1dcf1a199b59bf311168e438fded4">timlCNN.h</a>
</li>
<li>timlCNNTrainingParamsDefault()
: <a class="el" href="group__cnn.html#gaaf7a5b272ae2ba5d0453f214afaab747">timlCNNTrainingParamsDefault.c</a>
, <a class="el" href="group__cnn.html#gaaf7a5b272ae2ba5d0453f214afaab747">timl.h</a>
</li>
<li>timlCNNTrainingParamsReadFromTextFile()
: <a class="el" href="group__cnn.html#ga086960e00eef59d9a0fe25d42b290c94">timlCNN.h</a>
</li>
<li>timlCNNTrainingParamsWriteToFile()
: <a class="el" href="group__cnn.html#gaa6ad7870ae8e2b3b1da182f88079e009">timlCNN.h</a>
</li>
<li>timlCNNUpdateParams()
: <a class="el" href="group__cnn.html#gabdea1474b4f7b52d3c18681f1ce777f3">timlCNN.h</a>
</li>
<li>timlCNNWriteToFile()
: <a class="el" href="group__cnn.html#gad7f3f988c763fe5a80826439c9fb08bd">timl.h</a>
, <a class="el" href="group__cnn.html#gad7f3f988c763fe5a80826439c9fb08bd">timlCNNWriteToFile.c</a>
</li>
<li>timlUtilBLASdaxpy()
: <a class="el" href="group__util.html#ga67a8b8821e100476544c39ebe3f7d88a">timlUtil.h</a>
</li>
<li>timlUtilBLASdcopy()
: <a class="el" href="group__util.html#ga242d2f4bb422b71fa05aec4b8568bdc4">timlUtil.h</a>
</li>
<li>timlUtilBLASdgemm()
: <a class="el" href="group__util.html#ga365f20b5c810059087f2d24964ec7fdd">timlUtil.h</a>
</li>
<li>timlUtilBLASdgemv()
: <a class="el" href="group__util.html#ga7f200e1630837f410457f12228a3f8e3">timlUtil.h</a>
</li>
<li>timlUtilBLASdger()
: <a class="el" href="group__util.html#ga22f1d9ebb3a5745c3583860b42c8590a">timlUtil.h</a>
</li>
<li>timlUtilBLASdscal()
: <a class="el" href="group__util.html#ga336682df712eb1342b16a00731b55e2c">timlUtil.h</a>
</li>
<li>timlUtilBLASsaxpy()
: <a class="el" href="group__util.html#gace6d95139cce2b66d468b65916d92103">timlUtil.h</a>
</li>
<li>timlUtilBLASscopy()
: <a class="el" href="group__util.html#gae2c99812143fb0697fad81b04c62545d">timlUtil.h</a>
</li>
<li>timlUtilBLASsgemm()
: <a class="el" href="group__util.html#ga3cd3b5eb20373a30eb06e1db3f27e105">timlUtil.h</a>
</li>
<li>timlUtilBLASsgemv()
: <a class="el" href="group__util.html#ga916c002835a135384e25aa4eabe8fece">timlUtil.h</a>
</li>
<li>timlUtilBLASsger()
: <a class="el" href="group__util.html#gacdd02957d16d4ba4951f35c0e7fc5b30">timlUtil.h</a>
</li>
<li>timlUtilBLASsscal()
: <a class="el" href="group__util.html#ga7f2ccf0e4a749d484cd40b64d14a0bdb">timlUtil.h</a>
</li>
<li>timlUtilClassifyAccuracy()
: <a class="el" href="group__util.html#ga64e5197e9d131870e97cd510b3f499ac">timlUtil.h</a>
</li>
<li>timlUtilConv2Full()
: <a class="el" href="group__util.html#ga825fca95dc612cb50cca8d3b42fce451">timlUtil.h</a>
</li>
<li>timlUtilConv2ImageReshape()
: <a class="el" href="group__util.html#ga1a6a5d975df7c8d4ef7ca184cbb98293">timlUtil.h</a>
</li>
<li>timlUtilConv2ImageReshapeBack()
: <a class="el" href="group__util.html#ga823c056e72e3c9738ba07232a759dd93">timlUtil.h</a>
</li>
<li>timlUtilConv2ImageReshapeIndex()
: <a class="el" href="group__util.html#ga5bed0ba528735cfa363c12de22b30fae">timlUtil.h</a>
</li>
<li>timlUtilConv2Valid()
: <a class="el" href="group__util.html#gafdc65cff28dd8132ee12d7e4fff6b344">timlUtil.h</a>
</li>
<li>timlUtilCorr2Full()
: <a class="el" href="group__util.html#ga76c854493ff6e686e70caf0e0f330694">timlUtil.h</a>
</li>
<li>timlUtilDiffTime()
: <a class="el" href="group__util.html#gad332b3fc9cca905cb073bb950c27d9a3">timlUtil.h</a>
</li>
<li>timlUtilElementWiseFunction()
: <a class="el" href="group__util.html#ga71557afaf0c3d8359920380558dd92fb">timlUtil.h</a>
</li>
<li>timlUtilElementWiseMultiply()
: <a class="el" href="group__util.html#ga4cbc9e168ae6fe4be792e5700078fbfd">timlUtil.h</a>
</li>
<li>timlUtilFread()
: <a class="el" href="group__util.html#ga032c2a840544aee29ac1b36494bdfc6b">timlUtil.h</a>
</li>
<li>timlUtilFree()
: <a class="el" href="group__util.html#ga234f6573583aca626c49e10b1f5b57d2">timlUtil.h</a>
</li>
<li>timlUtilFwrite()
: <a class="el" href="group__util.html#gad27678810eff89cf1f813631d762b298">timlUtil.h</a>
</li>
<li>timlUtilLocalContrastNormalize()
: <a class="el" href="group__util.html#ga1d68b304f7ad43899cf5a2762a0a49fc">timlUtil.h</a>
</li>
<li>timlUtilLocalContrastUnnormalize()
: <a class="el" href="group__util.html#ga684bafa4cb678d451ec1aa5127007470">timlUtil.h</a>
</li>
<li>timlUtilMalloc()
: <a class="el" href="group__util.html#ga432784c912b542452d7236cf72d184fe">timlUtil.h</a>
</li>
<li>timlUtilMasking()
: <a class="el" href="group__util.html#ga4b2ab842a2212e924deb9f60bf1b703e">timlUtil.h</a>
</li>
<li>timlUtilMaxPooling()
: <a class="el" href="group__util.html#gac9523e1013f8e3853568eb2e67b54a58">timlUtil.h</a>
</li>
<li>timlUtilMeanPooling()
: <a class="el" href="group__util.html#ga8d4338ebfb64ecb3ec88094aebd65e40">timlUtil.h</a>
</li>
<li>timlUtilMeanSqaureError()
: <a class="el" href="group__util.html#ga8e17bdb2dd7b9e8f25d1a93c8d470a97">timlUtil.h</a>
</li>
<li>timlUtilMultinomialCrossEntropy()
: <a class="el" href="group__util.html#gac8848759ff2638e9b54beef8f82748ae">timlUtil.h</a>
</li>
<li>timlUtilRandContinuousUniformRNG()
: <a class="el" href="group__util.html#ga33ca8bcccfd95381c34a7822dd3d5e03">timlUtil.h</a>
</li>
<li>timlUtilRandDiscreteUniformRNG()
: <a class="el" href="group__util.html#ga7b7056163efcce74e844159113ad7670">timlUtil.h</a>
</li>
<li>timlUtilRandNormalRNG()
: <a class="el" href="group__util.html#gab0d103f2a7348ee3f7be2468cb06a374">timlUtil.h</a>
</li>
<li>timlUtilRandPerm()
: <a class="el" href="group__util.html#ga33f6226602545ae82fb9eb9dc4e2d0f4">timlUtil.h</a>
</li>
<li>timlUtilReadCIFAR10()
: <a class="el" href="group__util.html#ga518889e2bee0ffe2a0bab1a2a509afeb">timlUtil.h</a>
</li>
<li>timlUtilReadFixedSizeJPEG()
: <a class="el" href="group__util.html#ga4e3a2beb9a301e6c71f5c1df09d6099e">timlUtil.h</a>
</li>
<li>timlUtilReadJPEG()
: <a class="el" href="group__util.html#ga6e186bf4e96a71fd1bc88aa79a7fd7f9">timlUtil.h</a>
</li>
<li>timlUtilReadMNIST()
: <a class="el" href="group__util.html#ga218c4e1b952545e65e70b46fc087c0fa">timlUtil.h</a>
</li>
<li>timlUtilRelu()
: <a class="el" href="group__util.html#gaf61206d55b45c89e3382ed9684ef2c79">timlUtil.h</a>
</li>
<li>timlUtilReluDerivative()
: <a class="el" href="group__util.html#gadcb6e562a1ddebb9589dc326c6e85db3">timlUtil.h</a>
</li>
<li>timlUtilReverseEndian32()
: <a class="el" href="group__util.html#ga16f8b9181ff6ce6d4b1f655a5eb4738e">timlUtil.h</a>
</li>
<li>timlUtilScanJPEG()
: <a class="el" href="group__util.html#ga3cb2f6d77b727af3d819f75c6918c327">timlUtil.h</a>
</li>
<li>timlUtilSigmoid()
: <a class="el" href="group__util.html#ga0e3ab1684d55ae10ec96b1b7a58c2d0f">timlUtil.h</a>
</li>
<li>timlUtilSigmoidDerivative()
: <a class="el" href="group__util.html#gac4ce5d2a827d4d0bddb092604dc22555">timlUtil.h</a>
</li>
<li>timlUtilSoftmax()
: <a class="el" href="group__util.html#ga223537dde56b8c21a9455ff8a635f71f">timlUtil.h</a>
</li>
<li>timlUtilSubtract()
: <a class="el" href="group__util.html#ga158d5bed50c9d1aa04f3437ba4e4746c">timlUtil.h</a>
</li>
<li>timlUtilTanh()
: <a class="el" href="group__util.html#ga26bb1805bd3475719324718c12cd5a0f">timlUtil.h</a>
</li>
<li>timlUtilTanhDerivative()
: <a class="el" href="group__util.html#ga680fe5b84f1ce4712c74fc9c01b5dc82">timlUtil.h</a>
</li>
<li>timlUtilTransform()
: <a class="el" href="group__util.html#ga6bc3609f73f6674134821cc002d7081f">timlUtil.h</a>
</li>
<li>timlUtilUndoMaxPooling()
: <a class="el" href="group__util.html#gae073107f6b111717bac95417ff80c85c">timlUtil.h</a>
</li>
<li>timlUtilUndoMeanPooling()
: <a class="el" href="group__util.html#ga47ba59c5e11f31931e3fae5717b93450">timlUtil.h</a>
</li>
<li>timlUtilUnmasking()
: <a class="el" href="group__util.html#ga7e53789a132ed94665d66a10dd9ff76c">timlUtil.h</a>
</li>
<li>timlUtilVectorMaxFloat()
: <a class="el" href="group__util.html#ga80375ed4d8c895a5373c0ea5bea7c90c">timlUtil.h</a>
</li>
<li>timlUtilVectorMaxIndexFloat()
: <a class="el" href="group__util.html#ga2e09d42235ce01dc8d951cac92ccce28">timlUtil.h</a>
</li>
<li>timlUtilVectorResetFloat()
: <a class="el" href="group__util.html#ga4c8737cc28dfcafb340a06869cb06c6d">timlUtil.h</a>
</li>
<li>timlUtilVectorResetInt()
: <a class="el" href="group__util.html#ga105ed091f1ed14bc4542117639799727">timlUtil.h</a>
</li>
<li>timlUtilVectorSortFloat()
: <a class="el" href="group__util.html#gadbfd41f459cef267ff705fbed1a684de">timlUtil.h</a>
</li>
<li>timlUtilVectorSortIndexFloat()
: <a class="el" href="group__util.html#ga7adedb39838d1a724329c2f05e70d2bc">timlUtil.h</a>
</li>
<li>timlUtilVectorSumFloat()
: <a class="el" href="group__util.html#ga50c739176cce0504f24f414d1abe03de">timlUtil.h</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Mar 20 2015 11:26:10 for TIML by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.6
</small></address>
</body>
</html>
